---

variables:
  DOCKER_BUILD_PATH: "."
  BUILD_ARGS: "APP_IMAGE=alpine:latest"
  
publish test image:
  extends: .dind-base
  stage: build
  rules:
    - if: '$MANUAL_PUBLISH'
      when: manual
    - when: on_success
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build --pull -f $DOCKERFILE_PATH -t $BUILD_IMAGE_NAME --build-arg $BUILD_ARGS $BUILD_EXTRA_OPTIONS $DOCKER_BUILD_PATH
    - docker push $BUILD_IMAGE_NAME
